/*Свойства подвала*/

.footer {
    background-color: var(--extra_dark_gray);
}

.footer_container {
    max-width: 1920px;
    margin: 0 auto;
    padding: 46px 0 35px 0;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.footer_left {
    min-width: 300px;
    margin-left: 80px;
}

.footer_logo {
    max-width: 224px;
}

.footer_nav {
    list-style-type: none;
    display: flex;
    flex-direction: column;
    margin-top: 15px;
    margin-bottom: 100px;
}

.footer_nav_link {
    color: var(--light_gray);
    font-weight: 500;
    font-size: 18px;
    line-height: 36px;
}

.socials {
    display: flex;
    flex-direction: row;
    margin-top: 53px;
}

.social_link {
    display: block;
    width: 60px;
    height: 60px;
    background: transparent center/cover no-repeat;
    margin-right: 25px;
}

.facebook {
    background-image: url(../img/fb.svg);
}

.vk {
    background-image: url(../img/VK.svg);
}

.insta {
    background-image: url(../img/INSTA.svg);
}

.footer_center {
    max-width: 650px;
    min-width: 320px;
    margin: 0 auto 0;
    padding-left: 25px;
}

.footer_center_title {
    color: var(--light_gray);
    margin: 10px 0 30px 45px;
    font-size: 48px;
}

.footer_center_form {
    display: flex;
    flex-direction: column;
    
}

.footer_input-top {
    min-height: 58px;
    margin: 0 0 25px 45px;
    padding: 17px 18px 5px;
    background-color: var(--gray);
    border: none;
}

.lb {
    color: var(--light_gray);
    font-size: 16px;
}

.footer_input-chek {
    margin-right: 10px; /*Настроить цвета*/
}

.footer_input-message {
    border: none;
    padding: 30px 0 0 35px;
    margin-left: 45px;
    background-color: var(--gray);
}

.footer_button {
    margin: 35px 17px 0 45px;
    min-width: 270px;
    min-height: 60px;
    font-weight: 900;
    border: none;
    background-color: var(--orange);
    color: var(--white);
}

.footer_right {
    margin-top: 80px;
    margin-right: 75px;
    max-width: 360px;
    min-width: 310px;
}

.footer_text {
    font-weight: 700;
    font-size: 16px;
    line-height: 32px;
    color: var(--light_gray);
}

/*  ховер эффекты */

.footer_nav_link:hover {
    border-bottom: solid 4px var(--orange);
}
.facebook:hover {
    background-image: url(../img/fb-hover.svg);
}

.vk:hover  {
    background-image: url(../img/VK-hover.svg);
}

.insta:hover  {
    background-image: url(../img/INSTA-hover.svg);
}
.footer_button:hover {
    background-color: rgba(255, 153, 0, 0.6);
}
/*Медиа-выражения*/

@media (max-width: 1479px) {
    .footer_right {
        display: none;
    }
    .footer_center {
        max-width: 620px;
        margin: 0;
        padding: 0;
    }
    .footer {
        padding: 46px 50px 35px 49px;
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }
}

@media (max-width: 1098px) {
    .footer {
        padding: 0px 50px 35px 49px;
    }
    .footer_left {
        margin-left: 0px;
    }
}

@media (max-width: 1024px) {
    .footer_button {
        margin-right: 5px;
        margin-left: 65px;
        min-width: 250px;
    }
    .footer_center {
        padding-left: 13px;
    }
    .footer_input-top {
        margin: 0 0 25px 69px;
    }
    .footer_input-message {
        margin-left: 69px;
    }
    .footer_center_title {
        margin-top: 20px;
        margin-left: 69px;
    }
}

@media (max-width: 1018px) {
    .footer {
        min-height: 820px;
    }
    .footer_container {
        flex-direction: column-reverse;
    }
    .footer_input-top {
        margin: 0 0 25px 0px;
    }
    .footer_input-message {
        margin-left: 0px;
    }
    .footer_center_title {
        margin-left: 0px;
    }
    .footer_center {
        padding-left: 0px;
    }
    .footer_button {
        cursor: pointer;
        margin-left: 5px;
        min-width: 245px;
    }
    .footer_left {
        margin-top: 0px;
    }
    .footer_nav {
        display: none;
    }
    .socials {
        margin-top: 10px;
        margin-bottom: 30px;
    }
    .footer_logo {
        margin-top: 50px;
    }
    .footer_input-top {
        max-width: 534px;
    }
    .footer_input-message {
        max-width: 534px;
    }
}
/*Медиа-выражения для мобильной версии*/
@media (max-width: 640px) {
.footer {
    padding: 0 15px;
    min-height: 680px;
}
.footer_container {

    padding-top: 20px;
align-items: center;
max-height: 725px;
padding-bottom: 20px;
}
.footer_center {
    min-width: 100%;
}
.footer_center_form {
    min-width: 100%;
    align-items: center;
}
.footer_center_title {
    font-size: 24px;
    margin-bottom: 27px;
    margin-right: auto;
}
.footer_input-top {
    min-width: 100%;
    padding-top: 10px;
}
.footer_input-message {
    min-width: 100%;
    padding: 20px 20px;
    max-height: 155px;   
}
.footer_button {
    margin: 22px 30px 20px 50px;
    max-width: 180px;
    min-width: 180px;
    font-size: 12px;
    min-height: 40px;
}
.footer_center_bottom {
    display: flex;
    flex-direction: column;
}
/**/
.footer_left {
   display: flex;
   flex-direction: column;
   align-items: center;
}

.footer_logo {
    margin-top: 0px;
    margin-right: 10px;
    max-width: 131px;
}

.socials {
    margin-top: 20px;
    margin-bottom: 0;
    margin-right: 10px;
    justify-content: space-between;
    min-width: 132px;
}

.social_link {
    display: block;
    width: 35px;
    height: 35px;
    background: transparent center/cover no-repeat;
    margin-right: 0px;
}

.facebook {
    background-image: url(../img/fb.svg);
}

.vk {
    background-image: url(../img/VK.svg);
}

.insta {
    background-image: url(../img/INSTA.svg);
}

}